<?php

namespace app\admin\model\order;

use think\Model;


class Usercontract extends Model
{

    

    

    // 表名
    protected $name = 'user_contract';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'integer';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'status_text'
    ];
    

    
    public function getStatusList()
    {
        return ['1' => __('Status 1'), '2' => __('Status 2')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }

    public function users()
    {
        return self::hasOne("app\admin\model\users\Users",'id',"user_id");

    }

    public function agent()
    {
        return self::hasOne("app\admin\model\users\Agent",'agent_user_id',"user_id");

    }

    public function order()
    {
        return self::hasOne("app\admin\model\order\Order",'id',"order_id");

    }


}
